<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>XsMessageHeader Struct Reference</title>
<link href="xsens.css" rel="stylesheet" type="text/css"/>
</head><body>
<img class="logo" src="xsenslogo.jpg" alt="Xsens Logo" />
	<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="struct_xs_message_header-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">XsMessageHeader Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>A message header.  
 <a href="struct_xs_message_header.html#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">union &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="union_xs_message_header_1_1_length_data.html">LengthData</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Contains optional extended length of message and first byte of data buffer.  <a href="union_xs_message_header_1_1_length_data.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a18eb6fb14b680d8ce28b2e96903b378c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a18eb6fb14b680d8ce28b2e96903b378c"></a>
uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_message_header.html#a18eb6fb14b680d8ce28b2e96903b378c">m_preamble</a></td></tr>
<tr class="memdesc:a18eb6fb14b680d8ce28b2e96903b378c"><td class="mdescLeft">&#160;</td><td class="mdescRight">The message preamble (always 0xFA) <br /></td></tr>
<tr class="separator:a18eb6fb14b680d8ce28b2e96903b378c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a09da9226222b5ec100e814cc16ce0540"><td class="memItemLeft" align="right" valign="top">uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_message_header.html#a09da9226222b5ec100e814cc16ce0540">m_busId</a></td></tr>
<tr class="memdesc:a09da9226222b5ec100e814cc16ce0540"><td class="mdescLeft">&#160;</td><td class="mdescRight">The bus ID.  <a href="#a09da9226222b5ec100e814cc16ce0540">More...</a><br /></td></tr>
<tr class="separator:a09da9226222b5ec100e814cc16ce0540"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a03203d1640e64a0d7c16aaa9e154e5e1"><td class="memItemLeft" align="right" valign="top">uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_message_header.html#a03203d1640e64a0d7c16aaa9e154e5e1">m_messageId</a></td></tr>
<tr class="memdesc:a03203d1640e64a0d7c16aaa9e154e5e1"><td class="mdescLeft">&#160;</td><td class="mdescRight">The message ID.  <a href="#a03203d1640e64a0d7c16aaa9e154e5e1">More...</a><br /></td></tr>
<tr class="separator:a03203d1640e64a0d7c16aaa9e154e5e1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aad30d12c87a17ac47bbe8f7980dc329e"><td class="memItemLeft" align="right" valign="top">uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_message_header.html#aad30d12c87a17ac47bbe8f7980dc329e">m_length</a></td></tr>
<tr class="memdesc:aad30d12c87a17ac47bbe8f7980dc329e"><td class="mdescLeft">&#160;</td><td class="mdescRight">The length of the message.  <a href="#aad30d12c87a17ac47bbe8f7980dc329e">More...</a><br /></td></tr>
<tr class="separator:aad30d12c87a17ac47bbe8f7980dc329e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af82d0866740c7b71add375ddd28726ec"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af82d0866740c7b71add375ddd28726ec"></a>
union <a class="el" href="union_xs_message_header_1_1_length_data.html">XsMessageHeader::LengthData</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_message_header.html#af82d0866740c7b71add375ddd28726ec">m_datlen</a></td></tr>
<tr class="memdesc:af82d0866740c7b71add375ddd28726ec"><td class="mdescLeft">&#160;</td><td class="mdescRight">Data or length and data. <br /></td></tr>
<tr class="separator:af82d0866740c7b71add375ddd28726ec"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>A message header. </p>
<p>This structure is used to interpret the header of a message. </p>
</div><h2 class="groupheader">Member Data Documentation</h2>
<a class="anchor" id="a09da9226222b5ec100e814cc16ce0540"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint8_t XsMessageHeader::m_busId</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The bus ID. </p>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="group__cinterface.html#gae8321d23871bd495a735cccbac26b451" title="The bus identifier of the master device. ">XS_BID_MASTER</a> <a class="el" href="group__cinterface.html#ga44cefb784042cbd1494268a2735c095f" title="The bus broadcast bus identifier (all devices) ">XS_BID_BROADCAST</a> <a class="el" href="group__cinterface.html#gab9478ee24f1f927f712dd4ad6caa7bc7" title="The bus identifier for the first MT on the bus. ">XS_BID_MT</a> </dd></dl>

</div>
</div>
<a class="anchor" id="aad30d12c87a17ac47bbe8f7980dc329e"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint8_t XsMessageHeader::m_length</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The length of the message. </p>
<p>A length of 255 means extended length is used </p>

</div>
</div>
<a class="anchor" id="a03203d1640e64a0d7c16aaa9e154e5e1"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint8_t XsMessageHeader::m_messageId</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The message ID. </p>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="group__enums.html#gacc13dabe6a88b53c675679d40414ba9a" title="Xsens Xbus Message Identifiers. ">XsXbusMessageId</a> </dd></dl>

</div>
</div>
</div><!-- contents -->

<div class="tabs">&nbsp;</div>
<hr size="1" />
<address style="text-align: right;">
<small>Generated on Wed May 17 2017 for Xsens by <a href="http://www.doxygen.org/index.html">Doxygen</a> 1.8.11</small>
</address>
</body>
</html>
